ASP.NET2.0 で作ったaspxのページはIE,Firefoxなど各ブラウザのバージョンいくつ以上ならば表示可能なのでしょうか。

回答の条件
  • URL必須
  • 1人2回まで
  • 登録:2007/08/02 12:20:21
  • 終了:2007/08/09 12:25:03

回答(3件)

id:KUROX No.1

KUROX回答回数3542ベストアンサー獲得回数1402007/08/02 12:40:36

ポイント27pt

情報ないですね・・・。

HTML 4.0準拠しているバージョンからですかね。

http://japan.internet.com/developer/20051025/26.html

id:minkpa No.2

minkpa回答回数4178ベストアンサー獲得回数552007/08/02 20:40:35

ポイント27pt

とりあえずIE6.0は表示可能でした。

http://q.hatena.ne.jp/1186024820

id:kn1967 No.3

kn1967回答回数2915ベストアンサー獲得回数3012007/08/03 16:10:29

ポイント26pt

ASP.NETでは

  IE5.5以降が上位ブラウザ

  IE5.01までと、IE以外のブラウザは下位ブラウザ

JSP から ASP.NET への移行ガイド : 複数ブラウザのサポート


ASP.NET 2.0でも

  IE5.5以降が上位ブラウザ

  それ以外全て下位ブラウザ

と認識するのは同じ(ASP.NETの上位互換)


ASP.NETの利点は.NET Frameworksを使う事によってクライアント環境の違いを吸収することにあるので

aspxファイル内に記述したコードがリッチクライアントによる動作を期待してのものであるならば

上位ブラウザとして認識されるもの(IEの5.5以降)が必要となります。

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません